package db

import (
	"context"
	"youngee_b_api/model/gorm_model"
)

func CreateRecruitStrategy(ctx context.Context, recruitStrategys []gorm_model.RecruitStrategy) error {
	db := GetReadDB(ctx)
	err := db.Create(&recruitStrategys).Error
	if err != nil {
		return err
	}
	return nil
}

func DeleteRecruitStrategyByProjectID(ctx context.Context, projectID int64) error {
	db := GetReadDB(ctx)
	err := db.Where("project_id = ?", projectID).Delete(&gorm_model.RecruitStrategy{}).Error
	if err != nil {
		return err
	}
	return nil
}

//func UpdateProject(ctx context.Context, project gorm_model.ProjectInfo) (*int64, error) {
//	db := GetReadDB(ctx)
//	err := db.Model(&project).Updates(project).Error
//	if err != nil {
//		return nil, err
//	}
//	return &project.ProjectID, nil
//}
//func UpdateRecruitStrategy(ctx context.Context,project gorm_model.RecruitStrategy)
//{
//
//}
